[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

syslinux 6.x to unstable on 2014-05-17

now that the last revision of syslinux left NEW i would like to upload
syslinux 6.x to unstable in two weeks (2104-04-17).

however, syslinux 6.x has a few incompatible changes:

  * upstream: with the addition of efi support, syslinux modules are
    now stored in a different location, e.g:

      /usr/lib/syslinux/vesamenu.c32 ->

  * upstream: since syslinux 5.x, some bootloaders need additional
    loader files (ldlinux.*) to be copied to the medium.

    for syslinux/extlinux this is already handled automatically,
    for the 'manual' bootloaders (isolinux/pxelinux), this needs to
    be done manually.

  * upstream: since syslinux 5.x, modules have dependencies, e.g:

      using vesamenu.c32, you also need libutil.c32 and libcom32.c32

    for more information, see:

  * debian: with the addition of efi support, syslinux bootloaders
    are packaged separately, e.g.:

    isolinux.bin is in isolinux, pxelinux is in pxelinux, etc.

    packages re-using the syslinux bootloaders should depend on
    these individual bootloader packages.

the following packages are affected, i've send patches accordingly:

  * debian-cd: #746746
  * debian-installer: #746743
  * ipxe: #746747
  * libguestfs: #746748
  * refit: #746749
  * unetbootin: #746751

  * live-build: will do myself
  * syslinux-themes-debian: is orphaned; will take care of that

Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/

Reply to: